; supervisor config file

[unix_http_server]
file=/var/run/supervisor.sock   ; (the path to the socket file)
chmod=0700                       ; sockef file mode (default 0700)

[supervisord]
logfile=/var/log/supervisor/supervisord.log ; (main log file;default $CWD/supervisord.log)
pidfile=/var/run/supervisord.pid ; (supervisord pidfile;default supervisord.pid)
childlogdir=/var/log/supervisor            ; ('AUTO' child log dir, default $TEMP)

; the below section must remain in the config file for RPC
; (supervisorctl/web interface) to work, additional interfaces may be
; added by defining them in separate rpcinterface: sections
[rpcinterface:supervisor]
supervisor.rpcinterface_factory = supervisor.rpcinterface:make_main_rpcinterface

[supervisorctl]
serverurl=unix:///var/run/supervisor.sock ; use a unix:// URL  for a unix socket

; The [include] section can just contain the "files" setting.  This
; setting can list multiple files (separated by whitespace or
; newlines).  It can also contain wildcards.  The filenames are
; interpreted as relative to this file.  Included files *cannot*
; include files themselves.

[include]
files = /etc/supervisor/conf.d/*.conf

[program:rb2-worker]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/rainbow2/artisan queue:work redis --daemon --queue=rb2images --sleep=3 --tries=3
autostart=true
autorestart=true
;user=hgmpress
numprocs=3
redirect_stderr=true
stdout_logfile=/var/www/rainbow2/storage/logs/worker.log

[program:rb2-scanner]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/rainbow2/artisan image:scan
autostart=true
autorestart=true
;user=hgmpress
numprocs=1
redirect_stderr=true
stdout_logfile=/var/www/rainbow2/storage/logs/image.log

[program:rb2-directory-watch]
process_name=%(program_name)s_%(process_num)02d
command=node /var/www/rainbow2/pusher/image_watch.js
autostart=true
autorestart=true
user=hgmpress
numprocs=1
redirect_stderr=true
stdout_logfile=/var/www/rainbow2/storage/logs/image_watch.log

[program:rb2-general]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/rainbow2/artisan queue:work redis --daemon --sleep=3 --tries=3
autostart=true
autorestart=true
;user=hgmpress
numprocs=1
redirect_stderr=true
stdout_logfile=/var/www/rainbow2/storage/logs/general.log

[program:rb2-ftp]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/rainbow2/artisan queue:work redis --daemon --queue=rb2_ftp1,rb2_ftp2,rb2_ftp3,rb2_ftp4,rb2_ftp5,rb2_ftp6 --sleep=3 --tries=3
autostart=true
autorestart=true
;user=hgmpress
numprocs=6
redirect_stderr=true
stdout_logfile=/var/www/rainbow2/storage/logs/ftp.log

[program:rb2-pm]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/rainbow2/artisan queue:work redis --daemon --queue=rb2_pm1,rb2_pm2,rb2_pm3,rb2_pm4,rb2_pm5,rb2_pm6 --sleep=3 --tries=3
autostart=true
autorestart=true
;user=hgmpress
numprocs=6
redirect_stderr=true
stdout_logfile=/var/www/rainbow2/storage/logs/pm_upload.log

[program:rb2-email]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/rainbow2/artisan queue:work redis --daemon --queue=rb2_email1,rb2_email2,rb2_email3,rb2_email4,rb2_email5,rb2_email6 --sleep=3 --tries=3
autostart=true
autorestart=true
;user=hgmpress
numprocs=6
redirect_stderr=true
stdout_logfile=/var/www/rainbow2/storage/logs/email.log

[program:rb2-assignset]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/rainbow2/artisan queue:work redis --daemon --queue=rb2assignset --sleep=3 --tries=3
autostart=true
autorestart=true
;user=hgmpress
numprocs=1
redirect_stderr=true
stdout_logfile=/var/www/rainbow2/storage/logs/assignset.log

;[program:rbdev-worker]
;process_name=%(program_name)s_%(process_num)02d
;command=php /var/www/rainbow_dev/artisan queue:work redis --daemon --queue=rbdev_images --sleep=3 --tries=3
;autostart=true
;autorestart=true
;user=hgmpress
;numprocs=2
;redirect_stderr=true
;stdout_logfile=/var/www/rainbow_dev/storage/logs/worker.log

;[program:rbdev-general]
;process_name=%(program_name)s_%(process_num)02d
;command=php /var/www/rainbow_dev/artisan queue:work redis --daemon --sleep=3 --tries=3
;autostart=true
;autorestart=true
;user=hgmpress
;numprocs=1
;redirect_stderr=true
;stdout_logfile=/var/www/rainbow_dev/storage/logs/general.log

;[program:rbdev-ftp]
;process_name=%(program_name)s_%(process_num)02d
;command=php /var/www/rainbow_dev/artisan queue:work redis --daemon --queue=rbdev_ftp --sleep=3 --tries=3
;autostart=true
;autorestart=true
;user=hgmpress
;numprocs=1
;redirect_stderr=true
;stdout_logfile=/var/www/rainbow_dev/storage/logs/ftp.log

;[program:rbdev-assignset]
;process_name=%(program_name)s_%(process_num)02d
;command=php /var/www/rainbow_dev/artisan queue:work redis --daemon --queue=rbdev_assignset --sleep=3 --tries=3
;autostart=true
;autorestart=true
;user=hgmpress
;numprocs=1
;redirect_stderr=true
;stdout_logfile=/var/www/rainbow_dev/storage/logs/assignset.log

;[program:rbdev-scanner]
;process_name=%(program_name)s_%(process_num)02d
;command=php /var/www/rainbow_dev/artisan image:scan
;autostart=true
;autorestart=true
;user=hgmpress
;numprocs=1
;redirect_stderr=true
;stdout_logfile=/var/www/rainbow_dev/storage/logs/image.log

;[program:rbdev-directory-watch]
;process_name=%(program_name)s_%(process_num)02d
;command=node /var/www/rainbow_dev/pusher/image_watch.js
;autostart=true
;autorestart=true
;user=netsource
;numprocs=1
;redirect_stderr=true
;stdout_logfile=/var/www/rainbow_dev/storage/logs/image_watch.log
